Up

# NSInputManager class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSInputManager class
2. Software documentation for the NSTextInput protocol

# Software documentation for the NSInputManager class

## NSInputManager : NSObject

> Declared in:
>   AppKit/NSInputManager.h

> Conforms to:
>   NSTextInput

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +currentInputManager
- +describeKeyStroke:withModifiers:
- +parseKey:intoCharacter:andModifiers:
- -handleKeyboardEvents:client:
- -handleMouseEvent:
- -initWithName:host:
- -language
- -loadBindingsFromFile:
- -localizedInputManagerName
- -markedTextAbandoned:
- -markedTextSelectionChanged:client:
- -quoteNextKeyStroke
- -resetInternalState
- -wantsToDelayTextChangeNotifications
- -wantsToHandleMouseEvents
- -wantsToInterpretAllKeystrokes

### currentInputManager

+ (NSInputManager*) currentInputManager;

Description forthcoming.

### describeKeyStroke:withModifiers:

+ (NSString*) describeKeyStroke: (unichar)character withModifiers: (unsigned int)modifiers;

Description forthcoming.

### parseKey:intoCharacter:andModifiers:

+ (BOOL) parseKey: (NSString*)key intoCharacter: (unichar*)character andModifiers: (unsigned int*)modifiers;

Description forthcoming.

### handleKeyboardEvents:client:

- (void) handleKeyboardEvents: (NSArray*)eventArray client: (id)client;

Description forthcoming.

### handleMouseEvent:

- (BOOL) handleMouseEvent: (NSEvent*)theMouseEvent;

Description forthcoming.

### initWithName:host:

- (id) initWithName: (NSString*)inputServerName host: (NSString*)hostName;

Description forthcoming.

### language

- (NSString*) language;

Description forthcoming.

### loadBindingsFromFile:

- (void) loadBindingsFromFile: (NSString*)fullPath;

Description forthcoming.

### localizedInputManagerName

- (NSString*) localizedInputManagerName;

Description forthcoming.

### markedTextAbandoned:

- (void) markedTextAbandoned: (id)client;

Description forthcoming.

### markedTextSelectionChanged:client:

- (void) markedTextSelectionChanged: (NSRange)newSel client: (id)client;

Description forthcoming.

### quoteNextKeyStroke

- (void) quoteNextKeyStroke;

Description forthcoming.

### resetInternalState

- (void) resetInternalState;

Description forthcoming.

### wantsToDelayTextChangeNotifications

- (BOOL) wantsToDelayTextChangeNotifications;

Description forthcoming.

### wantsToHandleMouseEvents

- (BOOL) wantsToHandleMouseEvents;

Description forthcoming.

### wantsToInterpretAllKeystrokes

- (BOOL) wantsToInterpretAllKeystrokes;

Description forthcoming.

# Software documentation for the NSTextInput protocol

## NSTextInput

> Declared in:
>   AppKit/NSInputManager.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -attributedSubstringFromRange:
- -characterIndexForPoint:
- -conversationIdentifier
- -doCommandBySelector:
- -firstRectForCharacterRange:
- -hasMarkedText
- -insertText:
- -markedRange
- -selectedRange
- -setMarkedText:selectedRange:
- -unmarkText
- -validAttributesForMarkedText

### attributedSubstringFromRange:

- (NSAttributedString*) attributedSubstringFromRange: (NSRange)theRange;

Description forthcoming.

### characterIndexForPoint:

- (unsigned int) characterIndexForPoint: (NSPoint)thePoint;

Description forthcoming.

### conversationIdentifier

- (long) conversationIdentifier;

Description forthcoming.

### doCommandBySelector:

- (void) doCommandBySelector: (SEL)aSelector;

Description forthcoming.

### firstRectForCharacterRange:

- (NSRect) firstRectForCharacterRange: (NSRange)theRange;

Description forthcoming.

### hasMarkedText

- (BOOL) hasMarkedText;

Description forthcoming.

### insertText:

- (void) insertText: (id)aString;

Description forthcoming.

### markedRange

- (NSRange) markedRange;

Description forthcoming.

### selectedRange

- (NSRange) selectedRange;

Description forthcoming.

### setMarkedText:selectedRange:

- (void) setMarkedText: (id)aString selectedRange: (NSRange)selRange;

Description forthcoming.

### unmarkText

- (void) unmarkText;

Description forthcoming.

### validAttributesForMarkedText

- (NSArray*) validAttributesForMarkedText;

Description forthcoming.

Up